#
# spec file for package smssend
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           smssend
BuildRequires:  libtool openssl-devel pcre-devel zlib-devel
License:        GPL-2.0+
Group:          Hardware/Mobile
Version:        3.4
Release:        180.3
Source0:        %{name}-%{version}.tar.bz2
%define       skyutils_version  2.7
Source1:        skyutils-%{skyutils_version}.tar.bz2
Patch1:         %{name}-%{version}-updated_scripts.diff.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        interface to internet SMS forwarding services
URL:            http://zekiller.skytech.org/smssend_menu_en.html

%description
smssend is a utility providing a command line interface to the GSM
Short Message Service (SMS) via internet gateways. It requires an
active internet connection (HTTP proxy is suitable) and may require a
registration for such gateways. The program is quite configurable for
other gateways than provided, examples are included.

Keep in mind that these internet to SMS gateways may not tolerate and
may even forbid their use via scripts.

%prep
%autosetup -p0 -a 1

%build
%{?suse_update_config:%{suse_update_config -f . skyutils-2.4}}
libtoolize --force
autoreconf --force --install
cd skyutils-%{skyutils_version}
autoreconf --force --install
%configure --libdir=${PWD}/src/.libs \
		--disable-shared \
		--enable-static
make %{?_smp_mflags}
cd ..
%configure \
		--datadir=/usr/share \
		--disable-shared \
		--with-skyutils=${PWD}/skyutils-%{skyutils_version} \
		--with-data-dir=/usr/share/xfce
# feel free to improve following change and please notify upstream
sed -i "s:\(^LIBS =.*\):\1 -lcrypto:" Makefile
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install 
cd skyutils-%{skyutils_version}
mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/packages/smssend/skyutils
cp -p AUTHORS COPYING ChangeLog INSTALL NEWS README ${RPM_BUILD_ROOT}/usr/share/doc/packages/smssend/skyutils/
cd ..
cp -p INSTALL ChangeLog AUTHORS COPYING NEWS README AUTHORS ${RPM_BUILD_ROOT}/usr/share/doc/packages/smssend
install -m 644 scripts/*.sms ${RPM_BUILD_ROOT}/usr/share/smssend/

%files
%defattr(-,root,root)
%doc /usr/share/doc/packages/smssend
/usr/bin/smssend
/usr/bin/email2smssend
/usr/bin/bestsms.sh
/usr/share/smssend/
%doc %{_mandir}/man1/*
%lang(fr) %doc %{_mandir}/fr

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  PatchN.
* Sun Nov 27 2011 jengelh@medozas.de
- Remove redundant/unwanted tags/section (cf. specfile guidelines)
- Use %%_smp_mflags for parallel building
* Sun Nov 27 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Wed Aug 31 2011 pgajdos@suse.com
- build with --no-copy-dt-needed-entries
* Mon Apr  2 2007 rguenther@suse.de
- add zlib-devel and pcre-devel BuildRequires
* Fri Jul 14 2006 lmichnovic@suse.cz
- updated mobile providers (updated_scripts.diff.bz2)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 lmichnovic@suse.cz
- updated mobile providers (updated_scripts.diff.bz2)
* Wed Jan 26 2005 postadal@suse.cz
- updated to version 3.4
- updated skyutils to version 2.7
- updated mobile providers (updated_scripts.diff.bz2)
* Mon Aug 23 2004 postadal@suse.cz
- updated mobile providers (updated_scripts.diff.bz2)
* Fri Apr 23 2004 postadal@suse.cz
- fixing gcc warnings
* Tue Feb 17 2004 postadal@suse.cz
- updated to version 3.3
- updated skyutils to version 2.6
- updated mobile providers (updated_scripts.diff.bz2)
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Tue Aug  5 2003 postadal@suse.cz
- updated mobile providers
* Fri Jun 13 2003 kukuk@suse.de
- Add missing directories to filelist
* Thu Feb 13 2003 postadal@suse.cz
- updated to version 3.2
  * added support for profiles (see man page)
  * added support for SSL
  * added bestsms.sh
- updated skyutils to version 2.4
  * fixed some bugs
- removed obsoleted patches
* Mon Dec 16 2002 postadal@suse.cz
- updated mobile providers
* Mon May  6 2002 mcihar@suse.cz
- update to version 3.1
  * Fixed configure script, to detect regexpr support
  * Updated man pages
  * Initial support for perl regular expressions (Thx to Peter Mikula)
  * Added new option RTRegex (see the man page)
  * Added a new field in RTGetInput2 (see man page) (Thx to Josef Hajas)
  * Added a new option in \%%Field%% (see man page)
  * Updated the man pages with new GetInput2 and GetInput3 script options
  * Added -install option to smssend, to download & install new scripts
- updated skyutils to 2.1, now as separate tarball
- fixed sending for Eurotel CZ
- Fixed remote execution problem in email2smssend introduced by shell meta-characters.
* Mon Jan  7 2002 rvasice@suse.cz
- update to version 2.9
* Thu Aug  2 2001 dan@suse.cz
- update to 2.7 version
- use bzip instead of gzip
* Mon Jun 11 2001 pblaha@suse.cz
- add libtoolize --force for build
* Tue Mar 20 2001 pblaha@suse.cz
- create this package for easy use SMS
